package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_CATEGORY_LEVEL_LOG"
)
public class TCoreCategoryLevelLog extends TBaseEntity {
   private String projectid;
   private String editionid;
   private String datasystemid;
   private String schemaname;
   private String tablename;
   private String columnname;
   private String categoryid;
   private String levelid;
   private String operationtype;
   private String bindtype;

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getEditionid() {
      return this.editionid;
   }

   public void setEditionid(String editionid) {
      this.editionid = editionid;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getSchemaname() {
      return this.schemaname;
   }

   public void setSchemaname(String schemaname) {
      this.schemaname = schemaname;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getCategoryid() {
      return this.categoryid;
   }

   public void setCategoryid(String categoryid) {
      this.categoryid = categoryid;
   }

   public String getLevelid() {
      return this.levelid;
   }

   public void setLevelid(String levelid) {
      this.levelid = levelid;
   }

   public String getOperationtype() {
      return this.operationtype;
   }

   public void setOperationtype(String operationtype) {
      this.operationtype = operationtype;
   }

   public String getBindtype() {
      return this.bindtype;
   }

   public void setBindtype(String bindtype) {
      this.bindtype = bindtype;
   }
}
